apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  creationTimestamp: '2019-11-22T17:23:42Z'
  generation: 13
  name: codeready-workspaces
  namespace: ndp-test
  resourceVersion: '13812839'
  selfLink: >-
    /apis/org.eclipse.che/v1/namespaces/ndp-test/checlusters/codeready-workspaces
  uid: d4a2c81d-0d4c-11ea-b34b-063571a91e2c
spec:
  auth:
    identityProviderURL: 'http://keycloak-ndp-test.apps.crw.codereadyqe.com'
    identityProviderRealm: codeready
    updateAdminPassword: false
    identityProviderPostgresPassword: b2paVnurJj8H
    identityProviderPassword: admin
    identityProviderClientId: codeready-public
    identityProviderAdminUserName: admin
    externalIdentityProvider: false
    openShiftoAuth: false
  database:
    chePostgresDb: dbche
    chePostgresHostName: postgres
    chePostgresPassword: F8Ke02EyWB1Y
    chePostgresPort: '5432'
    chePostgresUser: pgche
    externalDb: false
  k8s: {}
  server:
    cheLogLevel: INFO
    customCheProperties:
      CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '-1'
      CHE_SERVER_SECURE__EXPOSER_JWTPROXY_IMAGE: 'quay.io/crw/jwtproxy-rhel8:2.0-6'
      CHE_WORKSPACE_PLUGIN__BROKER_INIT_IMAGE: 'quay.io/crw/pluginbrokerinit-rhel8:2.0-7'
      CHE_WORKSPACE_PLUGIN__BROKER_UNIFIED_IMAGE: 'quay.io/crw/pluginbroker-rhel8:2.0-6'
      CHE_WORKSPACE_SIDECAR_IMAGE__PULL__POLICY: Always
    externalDevfileRegistry: false
    cheHost: codeready-ndp-test.apps.crw.codereadyqe.com
    pluginRegistryImage: 'quay.io/crw/pluginregistry-rhel8:2.0-228'
    selfSignedCert: false
    devfileRegistryImage: 'quay.io/crw/devfileregistry-rhel8:2.0-174'
    cheDebug: 'false'
    tlsSupport: false
    cheImage: quay.io/crw/server-rhel8
    externalPluginRegistry: false
    cheFlavor: codeready
    cheImageTag: 2.0-395
  storage:
    preCreateSubPaths: true
    pvcClaimSize: 1Gi
    pvcStrategy: per-workspace
status:
  devfileRegistryURL: 'http://devfile-registry-ndp-test.apps.crw.codereadyqe.com'
  keycloakProvisioned: true
  cheClusterRunning: Available
  cheURL: 'http://codeready-ndp-test.apps.crw.codereadyqe.com'
  openShiftoAuthProvisioned: false
  dbProvisioned: true
  cheVersion: 2.0-395
  keycloakURL: 'http://keycloak-ndp-test.apps.crw.codereadyqe.com'
  pluginRegistryURL: 'http://plugin-registry-ndp-test.apps.crw.codereadyqe.com/v3'
